<?php
$servername = "localhost"; // Ganti dengan nama server Anda
$username = "borneom2_orderkuota";     // Ganti dengan username database Anda
$password = "Anugrah333";     // Ganti dengan password database Anda
$dbname = "borneom2_orderkuota";  // Ganti dengan nama database Anda

// Membuat koneksi
$conn = new mysqli($servername, $username, $password, $dbname);

// Memeriksa koneksi
if ($conn->connect_error) {
    die("Koneksi gagal: " . $conn->connect_error);
}

if (isset($_GET['layanan'])) {
    $layanan = $_GET['layanan'];

    $sql = "SELECT DISTINCT kategori_produk FROM produk WHERE kategori_layanan = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("s", $layanan);
    $stmt->execute();
    $result = $stmt->get_result();

    $kategori_produk = [];
    while ($row = $result->fetch_assoc()) {
        $kategori_produk[] = $row['kategori_produk'];
    }

    echo json_encode($kategori_produk);
} else {
    echo json_encode([]); // Jika tidak ada layanan, kembalikan array kosong
}

$conn->close();
?>